MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032297Open CASCADE[OCCT] OCCT:Codingpublic2021-04-10 17:412021-04-17 14:02
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032297: Coding Rules - merge GCPnts_UniformAbscissa.pxx into GCPnts_UniformAbscissa.cxx
DescriptionGCPnts_UniformAbscissa implemented using generic methods in GCPnts_UniformAbscissa.pxx.
It is proposed replacing generic methods via C++ templates.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0100229)
git (administrator)
2021-04-10 17:44

Branch CR32297 has been created by kgv.

SHA-1: 290dafb51ee3a0a7d4b9be00d3eda3e5aa7342b1


Detailed log of new commits:

Author: kgv
Date: Sat Apr 10 17:44:18 2021 +0300

    0032297: Coding Rules - merge GCPnts_UniformAbscissa.pxx into GCPnts_UniformAbscissa.cxx
(0100230)
git (administrator)
2021-04-10 17:47

Branch CR32297 has been updated forcibly by kgv.

SHA-1: 006da649a2ad541edb9dcd40b55d2a32b308ab8e
(0100232)
kgv (developer)
2021-04-10 19:24

Patch is ready for review
- OCCT: branch CR32297.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32297-master-KGV/view/COMPARE/ [^]
(0100256)
msv (developer)
2021-04-12 23:06

I have no more remarks to all commits in this branch.
(0100257)
msv (developer)
2021-04-12 23:08

Please include the correcting commit from the branch CR32294.
(0100260)
git (administrator)
2021-04-12 23:19

Branch CR32297 has been updated forcibly by kgv.

SHA-1: 9e7cc3ad597b7fb6634f5c2022fd4b5261eee0ba
(0100385)
bugmaster (administrator)
2021-04-17 13:07

Combination -
OCCT branch : IR-2021-04-16
master SHA - 1294d5e39ed35dc97b2241956855fe794a03b0d8
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-16 SHA - 03c3cb382950144b11c09108f24673216c4e5922
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17987.850000000446 / 18020.24000000038 [-0.18%]
Products
Total CPU difference: 11564.760000000093 / 11543.43000000007 [+0.18%]
Windows-64-VC14:
OCCT
Total CPU difference: 19496.34375 / 19510.890625 [-0.07%]
Products
Total CPU difference: 12932.890625 / 12891.265625 [+0.32%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100406)
git (administrator)
2021-04-17 14:02

Branch CR32297 has been deleted by inv.

SHA-1: 9e7cc3ad597b7fb6634f5c2022fd4b5261eee0ba

- Related Changesets
occt: master 9e7cc3ad
Timestamp: 2021-04-10 14:44:18
Author: kgv
Details ] Diff ]
0032297: Coding Rules - merge GCPnts_UniformAbscissa.pxx into GCPnts_UniformAbscissa.cxx
mod - src/GCPnts/FILES Diff ] File ]
mod - src/GCPnts/GCPnts_UniformAbscissa.cxx Diff ] File ]
mod - src/GCPnts/GCPnts_UniformAbscissa.hxx Diff ] File ]
rm - src/GCPnts/GCPnts_UniformAbscissa.pxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-04-10 17:41 kgv New Issue
2021-04-10 17:41 kgv Assigned To => kgv
2021-04-10 17:44 git Note Added: 0100229
2021-04-10 17:47 git Note Added: 0100230
2021-04-10 19:24 kgv Note Added: 0100232
2021-04-10 19:24 kgv Assigned To kgv => msv
2021-04-10 19:24 kgv Status new => resolved
2021-04-12 23:06 msv Note Added: 0100256
2021-04-12 23:08 msv Note Added: 0100257
2021-04-12 23:08 msv Assigned To msv => kgv
2021-04-12 23:19 git Note Added: 0100260
2021-04-12 23:22 kgv Assigned To kgv => bugmaster
2021-04-12 23:22 kgv Status resolved => reviewed
2021-04-17 13:07 bugmaster Note Added: 0100385
2021-04-17 13:07 bugmaster Status reviewed => tested
2021-04-17 13:12 bugmaster Test case number => Not required
2021-04-17 13:41 kgv Changeset attached => occt master 9e7cc3ad
2021-04-17 13:41 kgv Assigned To bugmaster => kgv
2021-04-17 13:41 kgv Status tested => verified
2021-04-17 13:41 kgv Resolution open => fixed
2021-04-17 14:02 git Note Added: 0100406


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker